(function (factory) {
  if (typeof module === "object" && typeof module.exports === "object") {
    var v = factory(require, exports);
    if (v !== undefined) module.exports = v;
  } else if (typeof define === "function" && define.amd) {
    define(["require", "exports", "@spicypixel/core-kit-js/lib/operating-system"], factory);
  }
})(function (require, exports) {
  "use strict";

  Object.defineProperty(exports, "__esModule", {
    value: true
  });

  const operating_system_1 = require("@spicypixel/core-kit-js/lib/operating-system");

  class UnityEditor {
    constructor() {
      throw new Error("This class is static and not meant to be constructed");
    }

    static get editorPath() {
      let platform = operating_system_1.OperatingSystemProvider.default.platform;
      let arch = operating_system_1.OperatingSystemProvider.default.architecture;
      if (platform === operating_system_1.Platform.Darwin) return "/Applications/Unity/Unity.app/Contents/MacOS/Unity";
      if (platform === operating_system_1.Platform.Win32 && arch === operating_system_1.Architecture.X64) return "C:\\Program Files\\Unity\\Editor\\Unity.exe";
      if (platform === operating_system_1.Platform.Win32 && arch !== operating_system_1.Architecture.X64) return "C:\\Program Files (x86)\\Unity\\Editor\\Unity.exe";
      throw new Error("Unsupported OS");
    }

    static get enginePath() {
      let platform = operating_system_1.OperatingSystemProvider.default.platform;
      let arch = operating_system_1.OperatingSystemProvider.default.architecture;
      if (platform === operating_system_1.Platform.Darwin) return "/Applications/Unity/Unity.app/Contents/Managed/UnityEngine.dll";
      throw new Error("Unsupported OS");
    }

    static get batchModeArgs() {
      return ["-batchmode", "-nographics", "-quit", "-silent-crashes", "-logFile"];
    }

  }

  exports.default = UnityEditor;
});
//# sourceMappingURL=unity-editor.js.map
